Bug 526739 - *** glibc detected *** nm-applet: double free or corruption (out): 0x104a50d0 ***
Summary: *** glibc detected *** nm-applet: double free or corruption (out): 0x104a50d0...
Keywords:
Status: CLOSED DUPLICATE of bug 519408
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: ppc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-01 15:41 UTC by Adam Tkac
Modified: 2013-04-30 23:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-07 02:10:12 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Tkac 2009-10-01 15:41:52 UTC
Description of problem:
nm-applet crashes with 
*** glibc detected *** nm-applet: double free or corruption (out): 0x104a50d0 *** error

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/nm-applet
NetworkManager-gnome-0.7.1-8.git20090708.fc11.ppc

How reproducible:
always

Steps to Reproduce:
1. install 'GNOME Desktop Environment' group
2. start, for example, VNC session (vncserver :1)
3. connect to VNC session
4. try to start nm-applet, it crashes
  
Actual results:
nm-applet crashes

Expected results:
nm-applet runs fine

Additional info:
$ nm-applet 

(nm-applet:2054): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Connection ":1.53" is not allowed to own the service "org.freedesktop.NetworkManagerUserSettings" due to security policies in the configuration file

** (nm-applet:2054): WARNING **: <WARN>  request_name(): Could not acquire the NetworkManagerUserSettings service.
  Message: ''

*** glibc detected *** nm-applet: double free or corruption (out): 0x104a50d0 ***
======= Backtrace: =========
/lib/libc.so.6[0xeb1b6f4]
/lib/libglib-2.0.so.0(g_free+0x54)[0xeca8c94]
/lib/libglib-2.0.so.0(g_error_free+0x34)[0xec885f4]
nm-applet[0x10014ab4]
nm-applet(applet_dbus_manager_start_service+0xc0)[0x10014b90]
nm-applet[0x10010e00]
/lib/libgobject-2.0.so.0(g_object_newv+0x300)[0xed930d0]
/lib/libgobject-2.0.so.0(g_object_new_valist+0x2ac)[0xed93bfc]
/lib/libgobject-2.0.so.0(g_object_new+0xdc)[0xed93eac]
nm-applet(nm_applet_new+0x30)[0x1000e020]
nm-applet(main+0x70)[0x1000c890]
/lib/libc.so.6[0xeab43fc]
/lib/libc.so.6[0xeab45a0]
======= Memory map: ========
00100000-00103000 r-xp 00000000 00:00 0                                  [vdso]
0e39f000-0e3b4000 r-xp 00000000 fd:00 48516                              /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
0e3b4000-0e3c3000 ---p 00015000 fd:00 48516                              /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
0e3c3000-0e3c5000 rw-p 00014000 fd:00 48516                              /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
0e3d5000-0e3e2000 r-xp 00000000 fd:00 8013                               /lib/libnss_files-2.10.1.so
0e3e2000-0e3f4000 ---p 0000d000 fd:00 8013                               /lib/libnss_files-2.10.1.so
0e3f4000-0e3f5000 r--p 0000f000 fd:00 8013                               /lib/libnss_files-2.10.1.so
0e3f5000-0e3f6000 rw-p 00010000 fd:00 8013                               /lib/libnss_files-2.10.1.so
0e406000-0e40b000 r-xp 00000000 fd:00 8854                               /lib/libattr.so.1.1.0
0e40b000-0e41a000 ---p 00005000 fd:00 8854                               /lib/libattr.so.1.1.0
0e41a000-0e41b000 rw-p 00004000 fd:00 8854                               /lib/libattr.so.1.1.0
0e42b000-0e42e000 r-xp 00000000 fd:00 9722                               /usr/lib/libXau.so.6.0.0
0e42e000-0e43d000 ---p 00003000 fd:00 9722                               /usr/lib/libXau.so.6.0.0
0e43d000-0e43e000 rw-p 00002000 fd:00 9722                               /usr/lib/libXau.so.6.0.0
0e44e000-0e46d000 r-xp 00000000 fd:00 10049                              /usr/lib/libxcb.so.1.1.0
0e46d000-0e47c000 ---p 0001f000 fd:00 10049                              /usr/lib/libxcb.so.1.1.0
0e47c000-0e47d000 rw-p 0001e000 fd:00 10049                              /usr/lib/libxcb.so.1.1.0
0e48d000-0e492000 r-xp 00000000 fd:00 8856                               /lib/libcap.so.2.16
0e492000-0e4a1000 ---p 00005000 fd:00 8856                               /lib/libcap.so.2.16
0e4a1000-0e4a2000 rw-p 00004000 fd:00 8856                               /lib/libcap.so.2.16
0e4b2000-0e4dd000 r-xp 00000000 fd:00 8665                               /lib/libexpat.so.1.5.2
0e4dd000-0e4ec000 ---p 0002b000 fd:00 8665                               /lib/libexpat.so.1.5.2
0e4ec000-0e4ef000 rw-p 0002a000 fd:00 8665                               /lib/libexpat.so.1.5.2
0e4ff000-0e53c000 r-xp 00000000 fd:00 12187                              /usr/lib/libpixman-1.so.0.14.0
0e53c000-0e54b000 ---p 0003d000 fd:00 12187                              /usr/lib/libpixman-1.so.0.14.0
0e54b000-0e54d000 rw-p 0003c000 fd:00 12187                              /usr/lib/libpixman-1.so.0.14.0
0e55d000-0e587000 r-xp 00000000 fd:00 8696                               /usr/lib/libpng12.so.0.37.0
0e587000-0e596000 ---p 0002a000 fd:00 8696                               /usr/lib/libpng12.so.0.37.0
0e596000-0e598000 rw-p 00029000 fd:00 8696                               /usr/lib/libpng12.so.0.37.0
0e5a8000-0e5ca000 r-xp 00000000 fd:00 8643                               /lib/libselinux.so.1
0e5ca000-0e5e7000 ---p 00022000 fd:00 8643                               /lib/libselinux.so.1
0e5e7000-0e5e8000 r--p 0002f000 fd:00 8643                               /lib/libselinux.so.1
0e5e8000-0e5e9000 rw-p 00030000 fd:00 8643                               /lib/libselinux.so.1
0e5f9000-0e5fb000 r-xp 00000000 fd:00 40821                              /usr/lib/libXAborted

Let me know if I should attach a core file.

Comment 1 Dan Williams 2009-11-07 02:10:12 UTC

*** This bug has been marked as a duplicate of bug 519408 ***


Note You need to log in before you can comment on or make changes to this bug.